Examplary
  • Start for free

    Get question

    Retrieve a question by its ID.

    GET https://api.examplary.ai/exams/{id}/questions/{questionId}

    Path parameters

    idstringrequired

    Exam ID, e.g. `exam_1234`.

    questionIdstringrequired

    Question ID, e.g. `question_1234`, or `first` to get the first question.

    Query parameters

    formatstring· default: examplary_json

    The format to return the question in. `examplary_json` returns the question in the Examplary JSON format, while `qti_v3p0` and `qti_v2p1` return the question in QTI format version 3 and 2.1 respectively.

    Allowed values:examplary_jsonqti_v3p0qti_v2p1

    Requirements

    Rate limit

    10 requests per minute per user.

    User roles

    This endpoint requires the teacher, admin, or owner role to be present.

    OAuth scopes

    This endpoint requires the exams:write scope to be present.